> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-project-status/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Get project status GET https://app.unleash-instance.example.com/api/admin/projects/{projectId}/status This endpoint returns information on the status the project, including activities, health, resources, and aggregated flag lifecycle data. Reference: https://docs.getunleash.io/api/get-project-status ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Path parameters - `projectId` (string, required) ## Response ### 200 projectStatusSchema - `activityCountByDate` (list of ProjectActivitySchemaItems, required) — Array of activity records with date and count, representing the project’s daily activity statistics. - `health` (ProjectStatusSchemaHealth, required) — Information about the project's health rating - `technicalDebt` (ProjectStatusSchemaTechnicalDebt, required) — Information about the project's health rating - `resources` (ProjectStatusSchemaResources, required) — Key resources within the project - `staleFlags` (ProjectStatusSchemaStaleFlags, required) — Information on stale and potentially stale flags in this project. - `lifecycleSummary` (ProjectStatusSchemaLifecycleSummary, required) — Feature flag lifecycle statistics for this project. ## Errors ### 401 Unauthorized Error Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 403 Forbidden Error The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 404 Not Found Error The requested resource was not found. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Types ### ProjectActivitySchemaItems - `date` (string, required) — Activity date - `count` (integer, required) — Activity count ### ProjectStatusSchemaHealth Information about the project's health rating - `current` (integer, required) — The project's current health score, based on the ratio of healthy flags to stale and potentially stale flags. ### ProjectStatusSchemaTechnicalDebt Information about the project's health rating - `current` (integer, required) — The project's current health score, based on the ratio of healthy flags to stale and potentially stale flags. ### ProjectStatusSchemaResources Key resources within the project - `apiTokens` (integer, required) — The number of API tokens created specifically for this project. - `members` (integer, required) — The number of users who have been granted roles in this project. Does not include users who have access via groups. - `segments` (integer, required) — The number of segments that are scoped to this project. ### ProjectStatusSchemaStaleFlags Information on stale and potentially stale flags in this project. - `total` (integer, required) — The total number of flags in this project that are stale or potentially stale. ### ProjectStatusSchemaLifecycleSummary Feature flag lifecycle statistics for this project. - `initial` (ProjectStatusSchemaLifecycleSummaryInitial, required) — Statistics on feature flags in a given stage in this project. - `preLive` (ProjectStatusSchemaLifecycleSummaryPreLive, required) — Statistics on feature flags in a given stage in this project. - `live` (ProjectStatusSchemaLifecycleSummaryLive, required) — Statistics on feature flags in a given stage in this project. - `completed` (ProjectStatusSchemaLifecycleSummaryCompleted, required) — Statistics on feature flags in a given stage in this project. - `archived` (ProjectStatusSchemaLifecycleSummaryArchived, required) — Information on archived flags in this project. ### ProjectStatusSchemaLifecycleSummaryInitial Statistics on feature flags in a given stage in this project. - `averageDays` (double, required, nullable) — The average number of days a feature flag remains in a stage in this project. Will be null if Unleash doesn't have any data for this stage yet. - `currentFlags` (integer, required) — The number of feature flags currently in a stage in this project. ### ProjectStatusSchemaLifecycleSummaryPreLive Statistics on feature flags in a given stage in this project. - `averageDays` (double, required, nullable) — The average number of days a feature flag remains in a stage in this project. Will be null if Unleash doesn't have any data for this stage yet. - `currentFlags` (integer, required) — The number of feature flags currently in a stage in this project. ### ProjectStatusSchemaLifecycleSummaryLive Statistics on feature flags in a given stage in this project. - `averageDays` (double, required, nullable) — The average number of days a feature flag remains in a stage in this project. Will be null if Unleash doesn't have any data for this stage yet. - `currentFlags` (integer, required) — The number of feature flags currently in a stage in this project. ### ProjectStatusSchemaLifecycleSummaryCompleted Statistics on feature flags in a given stage in this project. - `averageDays` (double, required, nullable) — The average number of days a feature flag remains in a stage in this project. Will be null if Unleash doesn't have any data for this stage yet. - `currentFlags` (integer, required) — The number of feature flags currently in a stage in this project. ### ProjectStatusSchemaLifecycleSummaryArchived Information on archived flags in this project. - `currentFlags` (integer, required) — The number of archived feature flags in this project. If a flag is deleted permanently, it will no longer be counted as part of this statistic. - `last30Days` (integer, required) — The number of flags in this project that have been changed over the last 30 days. ## Examples **Response** ```json { "activityCountByDate": [ { "date": "2022-12-14", "count": 1 } ], "health": { "current": 100 }, "technicalDebt": { "current": 100 }, "resources": { "apiTokens": 1, "members": 1, "segments": 1 }, "staleFlags": { "total": 1 }, "lifecycleSummary": { "initial": { "averageDays": 5, "currentFlags": 10 }, "preLive": { "averageDays": 5, "currentFlags": 10 }, "live": { "averageDays": 5, "currentFlags": 10 }, "completed": { "averageDays": 5, "currentFlags": 10 }, "archived": { "currentFlags": 10, "last30Days": 5 } } } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/status" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/status'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/status" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/status") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/projects/projectId/status") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/status', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/status"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/status")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```